{
    "license": "GPL 2+",
    "preferences": [
        {
            "description": "Cookies will be removed after remaining unused for this many seconds (default 10)",
            "type": "integer",
            "name": "gracePeriod",
            "value": 10,
            "title": "Grace Period"
        },
        {
            "description": "Displays a notification when the add-on is activated. Messages may alternatively be viewed by hovering your cursor over this add-on's icon. (default on)",
            "type": "bool",
            "name": "displayNotification",
            "value": true,
            "title": "Notifications"
        },
        {
            "description": "Clears a site's LocalStorage along with its cookies. (default on, requires restart)",
            "type": "bool",
            "name": "localStorage",
            "value": true,
            "title": "Include LocalStorage"
        },
        {
            "description": "Provides an \"undo\" function to bring back cookies deleted by this add-on. Do not enable this if untrusted persons have access to your browser session: it could potentially it be used to log back in to sites you have already logged out of. (default off)",
            "type": "bool",
            "name": "undelete",
            "value": false,
            "title": "Undelete for Cookies"
        },
        {
            "description": "Clears the browser cache when the user has been idle for this many minutes. Some tracking techniques depend on persisting items in your cache. Cleaning it gets rid of them. Sites may initially load slower after the cache has been cleared. Your browser will also have to download more data from the net. Set to 0 to disable (default 0, i.e. disabled)",
            "type": "integer",
            "name": "clearCache",
            "value": 0,
            "title": "Clear Browser Cache when Idle"
        },
        {
            "description": "Match cookie domains as proposed in the IETF HTTP State Management Draft (default off)",
            "type": "bool",
            "name": "strictAccess",
            "value": false,
            "title": "Strict Cookie Access Policy"
        },
        {
            "description": "Keep cookies that are exclusively used by IFrames (default off)",
            "type": "bool",
            "name": "keepIFrames",
            "value": false,
            "title": "Allow 3rd Party Tracking"
        },
        {
            "description": "Adds an icon / menu entries to your browser for easy access. Some features may be unavailable when disabled. (default on, requires restart)",
            "type": "bool",
            "name": "controls",
            "value": true,
            "title": "Icon and Menu Entries"
        },
        {
            "title": "Whitelist",
            "type": "control",
            "description": "Configure domains whose cookies should not self-destruct",
            "name": "editWhitelist",
            "label": "Edit Whitelist"
        },
        {
            "title": "Statistics",
            "type": "control",
            "description": "This add-on gathers statistics as it destructs cookies: view them here",
            "name": "showStatistics",
            "label": "Show Statistics"
        }
    ],
    "contributors": [],
    "author": "Ove",
    "url": "",
    "name": "self-destructing-cookies",
    "dependencies": [
        "api-utils",
        "addon-kit"
    ],
    "version": "0.4.12",
    "lib": "lib",
    "fullName": "Self-Destructing Cookies",
    "title": "Self-Destructing Cookies",
    "main": "lib/main.js",
    "id": "jid0-9XfBwUWnvPx4wWsfBWMCm4Jj69E@jetpack",
    "description": "Fix the web. Gets rid of a site's cookies and LocalStorage as soon as you close its tabs. Protects against trackers and zombie-cookies. Trustworthy services can be whitelisted.",
    "engines": {
      "firefox": ">=38.0a1",
      "fennec": ">=38.0a1"
    },
    "permissions": {
      "multiprocess": false,
      "private-browsing": false
    }
}
